CRMchat APIBeta

Get Telegram account

GET
/workspaces/{workspaceId}/telegram-accounts/{accountId}

Returns a single Telegram account by its ID.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string
accountId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/telegram-accounts/string"
{  "data": {    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "avatarUrl": "string",    "workspaceId": "string",    "accessScope": "workspace",    "accessUserIds": [      "string"    ],    "status": "active",    "telegram": {      "id": 0,      "username": "string",      "phone": "string",      "fullName": "string",      "hasPremium": true    },    "contactCreationBehaviour": "disabled",    "newLeadsDailyLimit": 0,    "custom": {      "property1": "string",      "property2": "string"    },    "warmup": {      "enabled": true,      "stage": "initial"    },    "spamRestriction": {      "type": "peer_flood",      "until": "2019-08-24T14:15:22Z",      "detectedAt": "2019-08-24T14:15:22Z",      "lastCheckedAt": "2019-08-24T14:15:22Z",      "rawMessage": "string"    },    "id": "string",    "_meta": {      "properties": {        "property1": {          "type": "single-select",          "name": "string",          "selected": {            "label": "string",            "value": "string"          }        },        "property2": {          "type": "single-select",          "name": "string",          "selected": {            "label": "string",            "value": "string"          }        }      }    }  }}